=== debian/changelog ===
ros-melodic-diagnostic-updater (1.9.7-1stretch) stretch; urgency=high

  * Estract TimestampStatus run to cpp
  * Contributors: Guglielmo Gemignani

 -- Austin Hendrix <namniart@gmail.com>  Wed, 02 Sep 2020 22:00:00 -0000

ros-melodic-diagnostic-updater (1.9.6-1stretch) stretch; urgency=high

  * Add SlowTimeStampStatus (#144 <https://github.com/ros/diagnostics/issues/144>)
  * Test build fix on Windows (#8 <https://github.com/ros/diagnostics/issues/8>) (#107 <https://github.com/ros/diagnostics/issues/107>)
  * Resolve div by zero in updater (#108 <https://github.com/ros/diagnostics/issues/108>)
  * Use std::isfinite due to deprecation on osx (#113 <https://github.com/ros/diagnostics/issues/113>)
  * Remove extra (not needed) trailing ':' (#116 <https://github.com/ros/diagnostics/issues/116>)
  * Fix GCC warnings with -Wpedantic (#124 <https://github.com/ros/diagnostics/issues/124>)
  * Contributors: Enrique Fernandez Perdomo, Jacob Perron, Sean Yen, Stephan Sundermann, William Hudgins, gemignani

 -- Austin Hendrix <namniart@gmail.com>  Mon, 17 Aug 2020 22:00:00 -0000

ros-melodic-diagnostic-updater (1.9.5-1stretch) stretch; urgency=high

  * Merge pull request #105 <https://github.com/ros/diagnostics/issues/105> from mikepurvis/py3-httplib
    Fix httplib import for Python 3.
  * Fix httplib import for Python 3.
  * Merge pull request #97 <https://github.com/ros/diagnostics/issues/97> from kejxu/fix_windows_build_issue
    fix windows build issue
  * Merge branch 'indigo-devel' into fix_windows_build_issue
  * update windows bringup (#5 <https://github.com/ros/diagnostics/issues/5>)
  * avoid ERROR from windows.h
  * windows bringup
  * Merge pull request #86 <https://github.com/ros/diagnostics/issues/86> from icolwell/diagnostic_status_custom_names
    Custom names for FrequencyStatus and TimeStampStatus
  * Remove C++11 features
  * Wording
  * Custom names for existing diagnostics tasks
  * Merge pull request #84 <https://github.com/ros/diagnostics/issues/84> from nbussas/frequency_status_name
    Make FrequencyStatus' name configurable
  * Make FrequencyStatus' name configurable
  * Contributors: Austin, Ian Colwell, James Xu, Mike Purvis, Nils Bussas, Sean Yen

 -- Austin Hendrix <namniart@gmail.com>  Sun, 09 Aug 2020 22:00:00 -0000

ros-melodic-diagnostic-updater (1.9.3-1stretch) stretch; urgency=high

  * Merge pull request #73 <https://github.com/ros/diagnostics/issues/73> from tue-robotics/indigo-devel
    Add a simple Heartbeat-DiagnosticTask
  * Add Python version of Heartbeat DiagnosticTask
  * Add a very very simple Heartbeat DiagnosticTask
  * Contributors: Austin, Loy van Beek, loy

 -- Austin Hendrix <namniart@gmail.com>  Tue, 01 May 2018 22:00:00 -0000

ros-melodic-diagnostic-updater (1.9.2-1stretch) stretch; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Fri, 14 Jul 2017 22:00:00 -0000

ros-melodic-diagnostic-updater (1.9.1-1stretch) stretch; urgency=high

  * Add queue size parameters on Publishers
  * Minor python updates
  * Contributors: trainman419

 -- Austin Hendrix <namniart@gmail.com>  Fri, 14 Jul 2017 22:00:00 -0000

ros-melodic-diagnostic-updater (1.9.0-1stretch) stretch; urgency=high

  * make rostest in CMakeLists optional (ros/rosdistro#3010 <https://github.com/ros/rosdistro/issues/3010>)
  * Fixed bug with merge summary in status wrapper
  * Contributors: Lukas Bulwahn, pAIgn10

 -- Austin Hendrix <namniart@gmail.com>  Mon, 24 Apr 2017 22:00:00 -0000

ros-melodic-diagnostic-updater (1.8.10-1stretch) stretch; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Mon, 13 Jun 2016 22:00:00 -0000

ros-melodic-diagnostic-updater (1.8.9-1stretch) stretch; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Tue, 01 Mar 2016 23:00:00 -0000

ros-melodic-diagnostic-updater (1.8.8-1stretch) stretch; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 05 Aug 2015 22:00:00 -0000

ros-melodic-diagnostic-updater (1.8.7-1stretch) stretch; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Thu, 08 Jan 2015 23:00:00 -0000

ros-melodic-diagnostic-updater (1.8.6-1stretch) stretch; urgency=high

  * Add queue_size to diagnostic_updater for Python.
    cf. http://wiki.ros.org/rospy/Overview/Publishers%20and%20Subscribers#queue_size:_publish.28.29_behavior_and_queuing
  * Contributors: Mike Purvis

 -- Austin Hendrix <namniart@gmail.com>  Tue, 09 Dec 2014 23:00:00 -0000

ros-melodic-diagnostic-updater (1.8.5-1stretch) stretch; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Mon, 28 Jul 2014 22:00:00 -0000

ros-melodic-diagnostic-updater (1.8.4-1stretch) stretch; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Thu, 24 Jul 2014 18:51:00 -0000

ros-melodic-diagnostic-updater (1.8.3-1stretch) stretch; urgency=high

  * Initialize next_time_ properly.
    Fixes #20 <https://github.com/ros/diagnostics/issues/20>
  * Add failing test for fast updater
  * Contributors: Austin Hendrix

 -- Austin Hendrix <namniart@gmail.com>  Tue, 22 Apr 2014 22:00:00 -0000

ros-melodic-diagnostic-updater (1.8.2-1stretch) stretch; urgency=high

  * Fix linking. All tests pass.
    Fixes #12 <https://github.com/ros/diagnostics/issues/12>
  * Most tests pass
  * Fix doc reference. Fixes #14 <https://github.com/ros/diagnostics/issues/14>
  * Contributors: Austin Hendrix

 -- Austin Hendrix <namniart@gmail.com>  Mon, 07 Apr 2014 22:00:00 -0000

ros-melodic-diagnostic-updater (1.8.1-1stretch) stretch; urgency=high

  * Add myself as maintainer
  * Added ability to supply a custom node name (prefix) to Updater
  * Added ability to supply node handle and private node handle to Updater
  * fixed exporting python API to address #10 <https://github.com/ros/diagnostics/issues/10>
  * fixed test related issues in some CMakeLists
  * check for CATKIN_ENABLE_TESTING
  * Contributors: Aero, Austin Hendrix, Brice Rebsamen, Lukas Bulwahn, Mitchell Wills

 -- Austin Hendrix <namniart@gmail.com>  Sun, 06 Apr 2014 22:00:00 -0000


